#!/bin/bash

[[ $(command -v pulseaudio) ]] || {
    echo "PulseAudio is not installed."
    exit 1
}

echo "Check PulseAudio daemon ..."

# this will trigger the auto-spawn for PulseAudio if it's not started
pactl info > /dev/null

pulseaudio --check

while [[ $? == 1 ]] ; do
    sleep 1
    pulseaudio --check
done

sleep 1

echo "PulseAudio daemon up."
